Upstream information

CVE-2022-48279 at MITRE

Description

In ModSecurity before 2.9.6 and 3.x before 3.0.8, HTTP multipart requests were incorrectly parsed and could bypass the Web Application Firewall. NOTE: this is related to CVE-2022-39956 but can be considered independent changes to the ModSecurity (C language) codebase.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact None High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1207378 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2023-317
SUSE Enterprise Storage 6
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-Storage-6-2023-317
SUSE Enterprise Storage 7.1
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-Storage-7.1-2023-317
SUSE Enterprise Storage 7
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-Storage-7-2023-317
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2023-317
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-317
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-317
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-317
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • apache2-mod_security2 >= 2.9.4-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2023-314
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Server Applications 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • apache2-mod_security2 >= 2.9.4-150400.3.3.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP5 GA apache2-mod_security2-2.9.4-150400.3.6.1
SUSE Linux Enterprise Real Time 15 SP3
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-317
SUSE Linux Enterprise Server 12 SP2-BCL
  • apache2-mod_security2 >= 2.8.0-7.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2023-318
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • apache2-mod_security2 >= 2.8.0-7.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2023-318
SUSE Linux Enterprise Server 12 SP4-LTSS
  • apache2-mod_security2 >= 2.8.0-7.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2023-318
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • apache2-mod_security2 >= 2.8.0-7.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2023-318
SUSE Linux Enterprise Server 15 SP1-LTSS
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-317
SUSE Linux Enterprise Server 15 SP2-LTSS
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-317
SUSE Linux Enterprise Server 15 SP3-LTSS
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-317
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • apache2-mod_security2 >= 2.8.0-7.6.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2023-318
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2023-317
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-317
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-317
SUSE Manager Proxy 4.2
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-317
SUSE Manager Retail Branch Server 4.2
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-317
SUSE Manager Server 4.2
  • apache2-mod_security2 >= 2.9.2-150000.3.6.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-317
SUSE OpenStack Cloud 9
  • apache2-mod_security2 >= 2.8.0-7.6.1
Patchnames:
SUSE-OpenStack-Cloud-9-2023-318
SUSE OpenStack Cloud Crowbar 9
  • apache2-mod_security2 >= 2.8.0-7.6.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2023-318
openSUSE Leap 15.4
  • apache2-mod_security2 >= 2.9.4-150400.3.3.1
Patchnames:
openSUSE-SLE-15.4-2023-314


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 apache2-mod_security2 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 apache2-mod_security2 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 apache2-mod_security2 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 apache2-mod_security2 Released
SUSE Linux Enterprise Module for Server Applications 15 SP4 apache2-mod_security2 Released
SUSE Linux Enterprise Module for Server Applications 15 SP5 apache2-mod_security2 Released
SUSE Linux Enterprise Real Time 15 SP3 apache2-mod_security2 Released
SUSE Linux Enterprise Server 12 SP5 apache2-mod_security2 Released
SUSE Linux Enterprise Server 15 SP4 apache2-mod_security2 Released
SUSE Linux Enterprise Server 15 SP5 apache2-mod_security2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 apache2-mod_security2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 apache2-mod_security2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 apache2-mod_security2 Released
SUSE Manager Proxy 4.2 apache2-mod_security2 Released
SUSE Manager Proxy 4.3 apache2-mod_security2 Released
SUSE Manager Retail Branch Server 4.2 apache2-mod_security2 Released
SUSE Manager Retail Branch Server 4.3 apache2-mod_security2 Released
SUSE Manager Server 4.2 apache2-mod_security2 Released
SUSE Manager Server 4.3 apache2-mod_security2 Released
openSUSE Leap 15.4 apache2-mod_security2 Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 apache2-mod_security2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 apache2-mod_security2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS apache2-mod_security2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS apache2-mod_security2 Released
SUSE Linux Enterprise High Performance Computing 15 SP2 apache2-mod_security2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS apache2-mod_security2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS apache2-mod_security2 Released
SUSE Linux Enterprise High Performance Computing 15 SP3 apache2-mod_security2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS apache2-mod_security2 Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS apache2-mod_security2 Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS apache2-mod_security2 Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS apache2-mod_security2 Affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 apache2-mod_security2 Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 apache2-mod_security2 Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP2-BCL apache2-mod_security2 Released
SUSE Linux Enterprise Server 15 SP1 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 15 SP1-LTSS apache2-mod_security2 Released
SUSE Linux Enterprise Server 15 SP2 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 15 SP2-LTSS apache2-mod_security2 Released
SUSE Linux Enterprise Server 15 SP3 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 15 SP3-LTSS apache2-mod_security2 Released
SUSE Linux Enterprise Server for SAP Applications 15 apache2-mod_security2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 apache2-mod_security2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 apache2-mod_security2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 apache2-mod_security2 Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 apache2-mod_security2 Affected
SUSE CaaS Platform 4.0 apache2-mod_security2 Released
SUSE Enterprise Storage 6 apache2-mod_security2 Released
SUSE Enterprise Storage 7 apache2-mod_security2 Released
SUSE Linux Enterprise Module for Server Applications 15 apache2-mod_security2 Affected
SUSE Linux Enterprise Real Time 15 SP2 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 11 SP3 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 11 SP3-LTSS apache2-mod_security2 Affected
SUSE Linux Enterprise Server 11 SP4 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 11 SP4-LTSS apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP1 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP1-LTSS apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP2 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP2-LTSS apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP3 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP3-BCL apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP3-LTSS apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP4 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS apache2-mod_security2 Released
SUSE Linux Enterprise Server 12 SP4-LTSS apache2-mod_security2 Released
SUSE Linux Enterprise Server 15 apache2-mod_security2 Affected
SUSE Linux Enterprise Server 15 SP1-BCL apache2-mod_security2 Affected
SUSE Linux Enterprise Server 15 SP2-BCL apache2-mod_security2 Affected
SUSE Linux Enterprise Server 15 SP3-BCL apache2-mod_security2 Affected
SUSE Linux Enterprise Server 15-LTSS apache2-mod_security2 Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 apache2-mod_security2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 apache2-mod_security2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 apache2-mod_security2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 apache2-mod_security2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 apache2-mod_security2 Released
SUSE Manager Proxy 4.0 apache2-mod_security2 Affected
SUSE Manager Proxy 4.1 apache2-mod_security2 Affected
SUSE Manager Retail Branch Server 4.0 apache2-mod_security2 Affected
SUSE Manager Retail Branch Server 4.1 apache2-mod_security2 Affected
SUSE Manager Server 4.0 apache2-mod_security2 Affected
SUSE Manager Server 4.1 apache2-mod_security2 Affected
SUSE OpenStack Cloud 7 apache2-mod_security2 Affected
SUSE OpenStack Cloud 8 apache2-mod_security2 Affected
SUSE OpenStack Cloud 9 apache2-mod_security2 Released
SUSE OpenStack Cloud Crowbar 8 apache2-mod_security2 Affected
SUSE OpenStack Cloud Crowbar 9 apache2-mod_security2 Released


SUSE Timeline for this CVE

CVE page created: Sat Jan 21 01:00:50 2023
CVE page last modified: Sat Sep 9 11:04:12 2023